Doomsday Engine - Bug #1881

350+ exceptions thrown during initial startup (prior to loading a game)
2014-10-17 00:38 - danij
Description

Clearly excessive. The majority of these are not truly exceptional circumstances so therefore should not be handled using
exceptions. The main culprit appears to be the Doomsday Script system.

History

#1 - 2014-10-17 00:40 - danij

- Tags changed from Scripting to Scripting, Performance

#2 - 2014-10-18 20:10 - skyjake

Any breakdown on the type of exceptions being thrown?

#3 - 2014-10-19 03:54 - danij

skyjake wrote:

Any breakdown on the type of exceptions being thrown?

Qt Creator will list all the exceptions thrown during a debug session in the Issues tab. Sadly the Ul doesn't provide the ability to copy them all or save
them into a text file, so | don't particularly feel like copying them one-by-one into this report.

Obviously there are some cases, such as handling EOF in a text parser, that are a natural fit for handling using exceptions. I'm ignoring those.

#4 - 2017-04-03 14:09 - skyjake

- Status changed from New to Closed

This will eventually be dealt with as the code gets cleaned up over time.
